ChangeSet 1.1673.8.32, 2004/03/26 12:31:37-08:00, david-b@pacbell.net

[PATCH] USB: usbnet, minor probe() fault fix

Some hardware had the poor taste to misbehave during probe(),
which turned up a minor bug.  This fixes it:  don't try to
free a network device that hasn't been registerd.


 drivers/usb/net/usbnet.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)


diff -Nru a/drivers/usb/net/usbnet.c b/drivers/usb/net/usbnet.c
--- a/drivers/usb/net/usbnet.c	Wed Apr 14 14:37:36 2004
+++ b/drivers/usb/net/usbnet.c	Wed Apr 14 14:37:36 2004
@@ -3104,7 +3104,7 @@
 
 	}
 	if (status < 0)
-		goto out2;
+		goto out1;
 
 	dev->maxpacket = usb_maxpacket (dev->udev, dev->out, 1);
 	
@@ -3127,7 +3127,6 @@
 out3:
 	if (info->unbind)
 		info->unbind (dev, udev);
-out2:
 	free_netdev(net);
 out1:
 	kfree(dev);
